Packaging question on MPI requires

Dave Love d.love at liverpool.ac.uk
Thu Oct 22 21:38:53 UTC 2015


Sandro Mani <manisandro at gmail.com> writes:

> On 22.10.2015 16:54, Sandro Mani wrote:

> So the package is installing pynestkernel.so in
> /usr/lib64/python2.7/site-packages/nest/pynestkernel.so. However, the
> dependency generator expects MPI-enabled binaries to be in one of
> several known MPI directories, which are
>
> $MPI_HOME = %{_libdir}/$MPI_NAME
> $MPI_FORTRAN_MOD_DIR = %{_libdir}/gfortran/modules/$MPI_NAME
> $MPI_PYTHON_SITEARCH = %{python2_sitearch}/$MPI_NAME
> $MPI_PYTHON3_SITEARCH = %{python3_sitearch}/$MPI_NAME
>
> where $MPI_NAME is openmpi or mpich.
>
> So you should install the mpi-enabled pynest in the appropriate
> $MPI_PYTHON_SITEARCH directory.

What are you supposed to do with MPI packaging for another language such
as R?  By the sound of it
<https://copr.fedoraproject.org/coprs/loveshack/livhpc/package/R-pbdMPI/>
and friends will fail now.


More information about the devel mailing list